geos::util::IllegalArgumentException Class Reference

Indicates one or more illegal arguments. More...

`#include <IllegalArgumentException.h>`

Inheritance diagram for geos::util::IllegalArgumentException:

## Public Member Functions

| IllegalArgumentException (const std::string &msg)
Public Member Functions inherited from geos::util::GEOSException
| GEOSException (std::string const &msg)
| GEOSException (std::string const &name, std::string const &msg)

## Detailed Description

Indicates one or more illegal arguments.

This exception is thrown - for example - when trying to apply set-theoretic methods to a GeometryCollection object.

The documentation for this class was generated from the following file:

- IllegalArgumentException.h